Bug 89877 - [EFL][WK2] Missing ViewIsFocused flag in viewStateDidChange call inside of _ewk_view_smart_focus_out() function.
Summary: [EFL][WK2] Missing ViewIsFocused flag in viewStateDidChange call inside of _e...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Piotr Roguski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 07:13 PDT by Piotr Roguski
Modified: 2012-07-03 08:40 PDT (History)
7 users (show)

See Also:


Attachments
Patch adding missing flag to viewStateDidChange call (1.48 KB, patch)
2012-06-27 06:37 PDT, Piotr Roguski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Roguski 2012-06-25 07:13:58 PDT
WebPageProxy::ViewIsFocused flag needs to be added to WebPageProxy::ViewFocusStateChange() call inside of _ewk_view_smart_focus_out(). Omitting this flag will prevent ViewFocusStateChange() from sending Messages::WebPage::SetFocused(bool):


void WebPageProxy::viewStateDidChange(ViewStateFlags flags)
{
    if (!isValid())
        return;

    if (flags & ViewIsFocused)
        process()->send(Messages::WebPage::SetFocused(m_pageClient->isViewFocused()), m_pageID);
/* ... */
}
Comment 1 Piotr Roguski 2012-06-27 06:37:14 PDT
Created attachment 149739 [details]
Patch adding missing flag to viewStateDidChange call
Comment 2 Grzegorz Czajkowski 2012-07-02 07:30:04 PDT
LGTM.
We need to send a message to WebProcess - SetFocused(false) on focus out. We are doing the same in WK1 directly on FocusController object:
http://trac.webkit.org/browser/trunk/Source/WebKit/efl/ewk/ewk_view.cpp#L560
Comment 3 WebKit Review Bot 2012-07-03 08:40:17 PDT
Comment on attachment 149739 [details]
Patch adding missing flag to viewStateDidChange call

Clearing flags on attachment: 149739

Committed r121770: <http://trac.webkit.org/changeset/121770>
Comment 4 WebKit Review Bot 2012-07-03 08:40:22 PDT
All reviewed patches have been landed.  Closing bug.